### Function

# FwupdPlugin StrsplitFunc

#### Declaration

    gboolean
    (* FuStrsplitFunc) (
      GString* token,
      guint token_idx,
      gpointer user_data,
      GError** error
    )

#### Description [src]

The `fu_strsplit_full()` iteration callback.

#### Parameters

`token` | `GString`
| A `GString`.
| The data is owned by the caller of the function.
`token_idx` | `guint`
| The token number.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.